# Miscellaneous Libraries

There is a wealth of utility libraries in the Standard Library.

We can conceptually (and roughly) organize them in related group of modules:
- List Processing Libraries:
  - [:std/misc/list](list.md)
  - [:std/misc/alist](alist.md)
  - [:std/misc/plist](plist.md)
- Mapping Utilities:
  - [:std/misc/hash](hash.md)
  - [:std/misc/sync](sync.md)
  - [:std/misc/rbtree](rbtree.md)
  - [:std/misc/lru](lru.md)
- Concurrency Primitives:
  - [:std/misc/atom](atom.md)
  - [:std/misc/channel](channel.md)
  - [:std/misc/completion](completion.md)
  - [:std/misc/barrier](barrier.md)
  - [:std/misc/rwlock](rwlock.md)
  - [:std/misc/threads](threads.md)
- Queues:
  - [:std/misc/queue](queue.md)
  - [:std/misc/deque](deque.md)
  - [:std/misc/pqueue](pqueue.md)
- IO Utilities:
  - [:std/misc/repr](repr.md)
  - [:std/misc/ports](ports.md)
  - [:std/misc/process](process.md)
  - [:std/misc/bytes](bytes.md)
  - [:std/misc/timeout](timeout.md)
- Text Utilities:
  - [:std/misc/string](string.md)
  - [:std/misc/text](text.md)
  - [:std/misc/template](template.md)
- Object Utilities:
  - [:std/misc/rtd](rtd.md)
  - [:std/misc/shared](shared.md)
- Assorted Utilities:
  - [:std/misc/func](func.md)
  - [:std/misc/number](number.md)
  - [:std/misc/shuffle](shuffle.md)
  - [:std/misc/uuid](uuid.md)
